unit About;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, MiscRoutines, SharedData, SharedCode;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    Copyright1: TLabel;
    OKButton: TButton;
    Copyright2: TLabel;
    Bevel1: TBevel;
    TechSuppBtn: TButton;
    Bevel2: TBevel;
    OsLabel: TLabel;
    ProgramName: TLabel;
    Panel2: TPanel;
    Image: TImage;
    Bevel3: TBevel;
    Label2: TLabel;
    Label1: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure FormShow(Sender: TObject);
    procedure TechSuppBtnClick(Sender: TObject);
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.FormShow(Sender: TObject);
var
  vi : TOsVersionInfo;
  ms : TMemoryStatus;
  s : string;
begin
  ProgramName.Caption:=StrAppName;
  memZeroMemory(@vi,sizeof(vi));
  vi.dwOSVersionInfoSize:=sizeof(vi);
  GetVersionEx(vi);
  s:=' ,  ';
  if(vi.dwPlatformId=VER_PLATFORM_WIN32_NT) then
    s:=s+'NT '
  else
    s:=s+'Windows ';
  s:=s+Format('%d.%d',[vi.dwMajorVersion,vi.dwMinorVersion])+':  ';
  memZeroMemory(@ms,sizeof(ms));
  ms.dwLength:=sizeof(ms);
  GlobalMemoryStatus(ms);
  s:=s+IntToStr(Trunc(ms.dwTotalPhys/1024)) + ' .';
  OsLabel.Caption:=s;
end;

procedure TAboutBox.TechSuppBtnClick(Sender: TObject);
begin
  Help(HELP_CONTEXT,IDH_TECHSUPPORT);
end;

end.

